/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.io;

import java.io.IOException;

/**
 * java.io.RandomAccessFileのインターフェース<br>
 * 実装を切り替えたい場合に使用する
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version 1.0
 */
public interface RandomAccessFileDelegator {
	public void close() throws IOException;
	public long length() throws IOException;
	public void seek(long pos) throws IOException;
	public int read(byte[] b) throws IOException;
	public void readFully(byte[] b) throws IOException;
	public int readInt() throws IOException;
	public long readLong() throws IOException;
	public void write(byte[] b) throws IOException;
	public void write(int b) throws IOException;
}
